% Plot original domain
model = createpde();
geometryFromMesh(model,nodes',plates(:,1:3)');
msh = model.Mesh;
% Add +X
nodesPX = nodes;
nodesPX(:,1) = 2*Xmax - nodesPX(:,1);
platesPX = plates;
platesPX(:,1) = plates(:,2);
platesPX(:,2) = plates(:,1);
modelPX = createpde();
geometryFromMesh(modelPX,nodesPX',platesPX(:,1:3)');
mshPX = modelPX.Mesh;
% Add +Y
nodesPY = nodes;
nodesPY(:,2) = 2*Ymax - nodesPY(:,2);
platesPY = plates;
platesPY(:,2) = plates(:,3);
platesPY(:,3) = plates(:,2);
modelPY = createpde();
geometryFromMesh(modelPY,nodesPY',platesPY(:,1:3)');
mshPY = modelPY.Mesh;
% Add +X+Y
nodesPXY = nodes;
nodesPXY(:,1) = 2*Xmax - nodesPXY(:,1);
nodesPXY(:,2) = 2*Ymax - nodesPXY(:,2);
platesPXY = plates;
% platesPY(:,2) = plates(:,3);
% platesPY(:,3) = plates(:,2);
modelPXY = createpde();
geometryFromMesh(modelPXY,nodesPXY',platesPXY(:,1:3)');
mshPXY = modelPXY.Mesh;
figure(1);
pdeplot(msh,XYData=Uver,Mesh="off");
hold on
pdeplot(mshPX,XYData=Uver,Mesh="off");
hold on
pdeplot(mshPY,XYData=Uver,Mesh="off");
hold on
pdeplot(mshPXY,XYData=Uver,Mesh="off");
axis equal tight off
